Bug 145519 - [patch] games/wesnoth-devel: update to 1.8
Summary: [patch] games/wesnoth-devel: update to 1.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Philip Paeps
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-04-08 18:50 UTC by swell.k
Modified: 2010-05-02 12:10 UTC (History)
0 users

See Also:


Attachments
wesnoth-devel_update_to_1.8.diff (6.10 KB, patch)
2010-04-08 18:50 UTC, swell.k
no flags Details | Diff
smime.p7s (5.49 KB, application/pkcs7-signature)
2010-04-26 14:42 UTC, pavlo.shepel
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description swell.k 2010-04-08 18:50:03 UTC
This is a stable version that should be later merged to games/wesnoth port.
Comment 1 Edwin Groothuis freebsd_committer 2010-04-08 18:50:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->philip

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 pavlo.shepel 2010-04-26 14:42:54 UTC
I think we need to patch games/wesnoth not wesnoth-devel to 1.8 because 
1.8.0 is stable not development version
Comment 3 swell.k 2010-04-27 08:33:14 UTC
(resending)

Paul Shepel <pavlo.shepel@asterslaw.com> writes:

> I think we need to patch games/wesnoth not wesnoth-devel to 1.8
> because 1.8.0 is stable not development version

Sure, *after* updating -devel port.

The CVS history should contain what was changed in the port since last
RC. It's easier for committer to review than a huge diff. After that
merging is mechanical:

=A01. rsync -a --del --exclude CVS wesnoth-devel/ wesnoth/
=A02. restore header, PKGNAMESUFFIX, CONFLICTS
=A03. commit

Provided wesnoth-devel doesn't contain its own quirks, e.g. useless USE_GCC=
[1].
--
[1] USE_GCC was added in r1.75 for 6.x and marked BROKEN on 6.x in r1.76
=A0 =A0EOL for 6.x is November 30, 2010. It's not worth fixing wesnoth
=A0 =A0on 6.x if it's not trivial.
Comment 4 dfilter service freebsd_committer 2010-05-02 12:02:41 UTC
philip      2010-05-02 11:02:20 UTC

  FreeBSD ports repository

  Modified files:
    games/wesnoth-devel  Makefile distinfo pkg-plist 
  Log:
  Update to 1.8
  
  Release notes: http://wesnoth.org/start/1.8/
  
  PR:             ports/145519
  Submitted by:   Anonymous <swell.k@gmail.com>
  
  Revision  Changes    Path
  1.85      +6 -7      ports/games/wesnoth-devel/Makefile
  1.55      +3 -3      ports/games/wesnoth-devel/distinfo
  1.61      +54 -0     ports/games/wesnoth-devel/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Philip Paeps freebsd_committer 2010-05-02 12:02:52 UTC
State Changed
From-To: open->closed

Committed. Thanks!